### Method

# Atk Object add_relationship

#### Declaration [src]

    gboolean
    atk_object_add_relationship (
      AtkObject* object,
      AtkRelationType relationship,
      AtkObject* target
    )

#### Description [src]

Adds a relationship of the specified type with the specified target.

#### Parameters

`relationship`

  Type: `AtkRelationType`

  The `AtkRelationType` of the relation.

`target`

  Type: `AtkObject`

  The `AtkObject` which is to be the target of the relation.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

TRUE if the relationship is added.